WinCrypt (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinCrypt

Package com.sun.jna.platform.win32

# Interface WinCrypt

public interface WinCrypt
Ported from WinCrypt.h. Microsoft Windows SDK 6.0A.

Author:
  dblock[at]dblock.org

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `WinCrypt.CERT_CHAIN_CONTEXT`
  The CERT_CHAIN_CONTEXT structure contains an array of simple certificate chains and a trust status structure that indicates summary validity data on all of the connected simple chains.
  `static class`
  `WinCrypt.CERT_CHAIN_ELEMENT`
  The CERT_CHAIN_ELEMENT structure is a single element in a simple certificate chain.
  `static class`
  `WinCrypt.CERT_CHAIN_PARA`
  The CERT_CHAIN_PARA structure establishes the searching and matching criteria to be used in building a certificate chain.
  `static class`
  `WinCrypt.CERT_CHAIN_POLICY_PARA`
  The CERT_CHAIN_POLICY_PARA structure contains information used in CertVerifyCertificateChainPolicy to establish policy criteria for the verification of certificate chains.
  `static class`
  `WinCrypt.CERT_CHAIN_POLICY_STATUS`
  The CERT_CHAIN_POLICY_STATUS structure holds certificate chain status information returned by the CertVerifyCertificateChainPolicy function when the certificate chains are validated.
  `static class`
  `WinCrypt.CERT_CONTEXT`
  The CERT_CONTEXT structure contains both the encoded and decoded representations of a certificate.
  `static class`
  `WinCrypt.CERT_EXTENSION`
  The CERT_EXTENSION structure contains the extension information for a certificate, Certificate Revocation List (CRL) or Certificate Trust List (CTL).
  `static class`
  `WinCrypt.CERT_EXTENSIONS`
  The CERT_EXTENSIONS structure contains an array of extensions.
  `static class`
  `WinCrypt.CERT_INFO`
  The CERT_INFO structure contains the information of a certificate.
  `static class`
  `WinCrypt.CERT_PUBLIC_KEY_INFO`
  The CERT_PUBLIC_KEY_INFO structure contains a public key and its algorithm.
  `static class`
  `WinCrypt.CERT_REVOCATION_CRL_INFO`
  Contains information updated by a certificate revocation list (CRL) revocation type handler.
  `static class`
  `WinCrypt.CERT_REVOCATION_INFO`
  The CERT_REVOCATION_INFO structure indicates the revocation status of a certificate in a CERT_CHAIN_ELEMENT.
  `static class`
  `WinCrypt.CERT_SIMPLE_CHAIN`
  The CERT_SIMPLE_CHAIN structure contains an array of chain elements and a summary trust status for the chain that the array represents.
  `static class`
  `WinCrypt.CERT_STRONG_SIGN_PARA`
  Contains parameters used to check for strong signatures on certificates, certificate revocation lists (CRLs), online certificate status protocol (OCSP) responses, and PKCS #7 messages.
  `static class`
  `WinCrypt.CERT_STRONG_SIGN_SERIALIZED_INFO`
  Contains the signature algorithm/hash algorithm and public key algorithm/bit length pairs that can be used for strong signing.
  `static class`
  `WinCrypt.CERT_TRUST_LIST_INFO`
  The CERT_TRUST_LIST_INFO structure that indicates valid usage of a CTL.
  `static class`
  `WinCrypt.CERT_TRUST_STATUS`
  The CERT_TRUST_STATUS structure contains trust information about a certificate in a certificate chain, summary trust information about a simple chain of certificates, or summary information about an array of simple chains.
  `static class`
  `WinCrypt.CERT_USAGE_MATCH`
  The CERT_USAGE_MATCH structure provides criteria for identifying issuer certificates to be used to build a certificate chain.
  `static class`
  `WinCrypt.CertStoreProviderName`
  Value wrapper for `lpszStoreProvider` of `Crypt32.CertOpenStore(CertStoreProviderName, int, HCRYPTPROV_LEGACY, int, Pointer)`
  `static class`
  `WinCrypt.CRL_CONTEXT`
  The CRL_CONTEXT structure contains both the encoded and decoded representations of a certificate revocation list (CRL).
  `static class`
  `WinCrypt.CRL_ENTRY`
  The CRL_ENTRY structure contains information about a single revoked certificate.
  `static class`
  `WinCrypt.CRL_INFO`
  The CRL_INFO structure contains the information of a certificate revocation list (CRL).
  `static class`
  `WinCrypt.CRYPT_ALGORITHM_IDENTIFIER`
  The CRYPT_ALGORITHM_IDENTIFIER structure specifies an algorithm used to encrypt a private key.
  `static class`
  `WinCrypt.CRYPT_ATTRIBUTE`
  The CRYPT_ATTRIBUTE structure specifies an attribute that has one or more values.
  `static class`
  `WinCrypt.CRYPT_BIT_BLOB`
  The CRYPT_BIT_BLOB structure contains a set of bits represented by an array of bytes.
  `static class`
  `WinCrypt.CRYPT_KEY_PROV_INFO`
  The CRYPT_KEY_PROV_INFO structure contains information about a key container within a cryptographic service provider (CSP).
  `static class`
  `WinCrypt.CRYPT_KEY_PROV_PARAM`
  The CRYPT_KEY_PROV_PARAM structure contains information about a key container parameter.
  `static class`
  `WinCrypt.CRYPT_SIGN_MESSAGE_PARA`
  The CRYPT_SIGN_MESSAGE_PARA structure contains information for signing messages using a specified signing certificate context.
  `static class`
  `WinCrypt.CRYPT_VERIFY_MESSAGE_PARA`
  The CRYPT_VERIFY_MESSAGE_PARA structure contains information needed to verify signed messages.
  `static interface`
  `WinCrypt.CryptGetSignerCertificateCallback`
  The CryptGetSignerCertificateCallback user supplied callback function is used with the CRYPT_VERIFY_MESSAGE_PARA structure to get and verify a message signer's certificate.
  `static class`
  `WinCrypt.CRYPTPROTECT_PROMPTSTRUCT`
  The CRYPTPROTECT_PROMPTSTRUCT structure provides the text of a prompt and information about when and where that prompt is to be displayed when using the CryptProtectData and CryptUnprotectData functions.
  `static class`
  `WinCrypt.CTL_CONTEXT`
  The CTL_CONTEXT structure contains both the encoded and decoded representations of a CTL.
  `static class`
  `WinCrypt.CTL_ENTRY`
  The CTL_ENTRY structure is an element of a certificate trust list (CTL).
  `static class`
  `WinCrypt.CTL_INFO`
  The CTL_INFO structure contains the information stored in a Certificate Trust List (CTL).
  `static class`
  `WinCrypt.CTL_USAGE`
  The CTL_USAGE structure contains an array of object identifiers (OIDs) for Certificate Trust List (CTL) extensions.
  `static class`
  `WinCrypt.DATA_BLOB`
  The CryptoAPI CRYPTOAPI_BLOB structure is used for an arbitrary array of bytes.
  `static class`
  `WinCrypt.HCERTCHAINENGINE`
  Handle to a certificate chain engine.
  `static class`
  `WinCrypt.HCERTSTORE`
  Handle to a certificate store.
  `static class`
  `WinCrypt.HCRYPTMSG`
  Handle to a cryptographic message.
  `static class`
  `WinCrypt.HCRYPTPROV_LEGACY`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CERT_CHAIN_POLICY_BASE`
  Predefined verify chain policies.
  `static final int`
  `CERT_CLOSE_STORE_CHECK_FLAG`
  Forces the freeing of memory for all contexts associated with the store.
  `static final int`
  `CERT_CLOSE_STORE_FORCE_FLAG`
  Checks for nonfreed certificate, CRL, and CTL contexts.
  `static final int`
  `CERT_COMPARE_NAME_STR_W`
  Certificate comparison functions.
  `static final int`
  `CERT_COMPARE_SHIFT`
  Certificate comparison functions.
  `static final int`
  `CERT_FIND_SUBJECT_STR`
  Certificate comparison functions.
  `static final int`
  `CERT_FIND_SUBJECT_STR_W`
  Certificate comparison functions.
  `static final int`
  `CERT_INFO_SUBJECT_FLAG`
  Certificate comparison functions.
  `static final int`
  `CERT_OID_NAME_STR`
  Certificate name string type.
  `static final int`
  `CERT_QUERY_CONTENT_CERT`
  encoded single certificate
  `static final int`
  `CERT_QUERY_CONTENT_CERT_PAIR`
  an encoded CertificatePair (contains forward and/or reverse cross certs)
  `static final int`
  `CERT_QUERY_CONTENT_CRL`
  encoded single CRL
  `static final int`
  `CERT_QUERY_CONTENT_CTL`
  encoded single CTL
  `static final int`
  `CERT_QUERY_CONTENT_FLAG_ALL`
  content can be any type
  `static final int`
  `CERT_QUERY_CONTENT_FLAG_CERT`
  encoded single certificate
  `static final int`
  `CERT_QUERY_CONTENT_FLAG_CERT_PAIR`
  an encoded CertificatePair (contains forward and/or reverse cross certs)
  `static final int`
  `CERT_QUERY_CONTENT_FLAG_CRL`
  encoded single CRL
  `static final int`
  `CERT_QUERY_CONTENT_FLAG_CTL`
  encoded single CTL
  `static final int`
  `CERT_QUERY_CONTENT_FLAG_PFX`
  an encoded PFX BLOB
  `static final int`
  `CERT_QUERY_CONTENT_FLAG_PFX_AND_LOAD`
  an encoded PFX BLOB, and we do want to load it (not included in `CERT_QUERY_CONTENT_FLAG_ALL`
  `static final int`
  `CERT_QUERY_CONTENT_FLAG_PKCS10`
  an encoded PKCS#10
  `static final int`
  `CERT_QUERY_CONTENT_FLAG_PKCS7_SIGNED`
  an encoded PKCS#7 signed message
  `static final int`
  `CERT_QUERY_CONTENT_FLAG_PKCS7_SIGNED_EMBED`
  the content includes an embedded PKCS7 signed message
  `static final int`
  `CERT_QUERY_CONTENT_FLAG_PKCS7_UNSIGNED`
  an encoded PKCS#7 message.
  `static final int`
  `CERT_QUERY_CONTENT_FLAG_SERIALIZED_CERT`
  serialized single certificate
  `static final int`
  `CERT_QUERY_CONTENT_FLAG_SERIALIZED_CRL`
  serialized single CRL
  `static final int`
  `CERT_QUERY_CONTENT_FLAG_SERIALIZED_CTL`
  serialized single CTL
  `static final int`
  `CERT_QUERY_CONTENT_FLAG_SERIALIZED_STORE`
  serialized store
  `static final int`
  `CERT_QUERY_CONTENT_PFX`
  an encoded PFX BLOB
  `static final int`
  `CERT_QUERY_CONTENT_PFX_AND_LOAD`
  an encoded PFX BLOB, which was loaded to phCertStore
  `static final int`
  `CERT_QUERY_CONTENT_PKCS10`
  an encoded PKCS#10
  `static final int`
  `CERT_QUERY_CONTENT_PKCS7_SIGNED`
  a PKCS#7 signed message
  `static final int`
  `CERT_QUERY_CONTENT_PKCS7_SIGNED_EMBED`
  a PKCS7 signed message embedded in a file
  `static final int`
  `CERT_QUERY_CONTENT_PKCS7_UNSIGNED`
  a PKCS#7 message, such as enveloped message.
  `static final int`
  `CERT_QUERY_CONTENT_SERIALIZED_CERT`
  serialized single certificate
  `static final int`
  `CERT_QUERY_CONTENT_SERIALIZED_CRL`
  serialized single CRL
  `static final int`
  `CERT_QUERY_CONTENT_SERIALIZED_CTL`
  serialized single CTL
  `static final int`
  `CERT_QUERY_CONTENT_SERIALIZED_STORE`
  serialized store
  `static final int`
  `CERT_QUERY_FORMAT_ASN_ASCII_HEX_ENCODED`
  the content is ascii hex encoded with "{ASN}" prefix
  `static final int`
  `CERT_QUERY_FORMAT_BASE64_ENCODED`
  the content is base64 encoded
  `static final int`
  `CERT_QUERY_FORMAT_BINARY`
  the content is in binary format
  `static final int`
  `CERT_QUERY_FORMAT_FLAG_ALL`
  the content can be of any format
  `static final int`
  `CERT_QUERY_FORMAT_FLAG_ASN_ASCII_HEX_ENCODED`
  the content is ascii hex encoded with "{ASN}" prefix
  `static final int`
  `CERT_QUERY_FORMAT_FLAG_BASE64_ENCODED`
  the content is base64 encoded
  `static final int`
  `CERT_QUERY_FORMAT_FLAG_BINARY`
  the content is in binary format
  `static final int`
  `CERT_QUERY_OBJECT_BLOB`
  The object is stored in a structure in memory.
  `static final int`
  `CERT_QUERY_OBJECT_FILE`
  The object is stored in a file.
  `static final int`
  `CERT_SIMPLE_NAME_STR`
  Certificate name string type.
  `static final int`
  `CERT_STORE_BACKUP_RESTORE_FLAG`
  `static final int`
  `CERT_STORE_CREATE_NEW_FLAG`
  `static final int`
  `CERT_STORE_DEFER_CLOSE_UNTIL_LAST_FREE_FLAG`
  `static final int`
  `CERT_STORE_DELETE_FLAG`
  `static final int`
  `CERT_STORE_ENUM_ARCHIVED_FLAG`
  `static final int`
  `CERT_STORE_MANIFOLD_FLAG`
  `static final int`
  `CERT_STORE_MAXIMUM_ALLOWED_FLAG`
  `static final int`
  `CERT_STORE_NO_CRYPT_RELEASE_FLAG`
  `static final int`
  `CERT_STORE_OPEN_EXISTING_FLAG`
  `static final int`
  `CERT_STORE_PROV_COLLECTION`
  `static final int`
  `CERT_STORE_PROV_FILE`
  `static final int`
  `CERT_STORE_PROV_FILENAME`
  `static final int`
  `CERT_STORE_PROV_FILENAME_A`
  `static final int`
  `CERT_STORE_PROV_FILENAME_W`
  `static final int`
  `CERT_STORE_PROV_LDAP`
  `static final int`
  `CERT_STORE_PROV_LDAP_W`
  `static final int`
  `CERT_STORE_PROV_MEMORY`
  `static final int`
  `CERT_STORE_PROV_MSG`
  `static final int`
  `CERT_STORE_PROV_PHYSICAL`
  `static final int`
  `CERT_STORE_PROV_PHYSICAL_W`
  `static final int`
  `CERT_STORE_PROV_PKCS7`
  `static final int`
  `CERT_STORE_PROV_REG`
  `static final int`
  `CERT_STORE_PROV_SERIALIZED`
  `static final int`
  `CERT_STORE_PROV_SMART_CARD`
  `static final int`
  `CERT_STORE_PROV_SMART_CARD_W`
  `static final int`
  `CERT_STORE_PROV_SYSTEM`
  `static final int`
  `CERT_STORE_PROV_SYSTEM_A`
  `static final int`
  `CERT_STORE_PROV_SYSTEM_REGISTRY`
  `static final int`
  `CERT_STORE_PROV_SYSTEM_REGISTRY_A`
  `static final int`
  `CERT_STORE_PROV_SYSTEM_REGISTRY_W`
  `static final int`
  `CERT_STORE_PROV_SYSTEM_W`
  `static final int`
  `CERT_STORE_READONLY_FLAG`
  `static final int`
  `CERT_STORE_SET_LOCALIZED_NAME_FLAG`
  `static final int`
  `CERT_STORE_SHARE_CONTEXT_FLAG`
  `static final int`
  `CERT_STORE_SHARE_STORE_FLAG`
  `static final int`
  `CERT_STORE_UNSAFE_PHYSICAL_FLAG`
  `static final int`
  `CERT_STORE_UPDATE_KEYID_FLAG`
  `static final int`
  `CERT_SYSTEM_STORE_CURRENT_SERVICE`
  `static final int`
  `CERT_SYSTEM_STORE_CURRENT_USER`
  `static final int`
  `CERT_SYSTEM_STORE_CURRENT_USER_GROUP_POLICY`
  `static final int`
  `CERT_SYSTEM_STORE_LOCAL_MACHINE`
  `static final int`
  `CERT_SYSTEM_STORE_LOCAL_MACHINE_ENTERPRISE`
  `static final int`
  `CERT_SYSTEM_STORE_LOCAL_MACHINE_GROUP_POLICY`
  `static final int`
  `CERT_SYSTEM_STORE_RELOCATE_FLAG`
  `static final int`
  `CERT_SYSTEM_STORE_SERVICES`
  `static final int`
  `CERT_SYSTEM_STORE_UNPROTECTED_FLAG`
  `static final int`
  `CERT_SYSTEM_STORE_USERS`
  `static final int`
  `CERT_X500_NAME_STR`
  Certificate name string type.
  `static final int`
  `CERT_XML_NAME_STR`
  Certificate name string type.
  `static final int`
  `CRYPT_ASN_ENCODING`
  Message Encoding Type.
  `static final int`
  `CRYPT_E_ASN1_BADARGS`
  ASN.1 bad arguments to function call
  `static final int`
  `CRYPT_E_ASN1_BADPDU`
  ASN.1 function not supported for this PDU
  `static final int`
  `CRYPT_E_ASN1_BADREAL`
  ASN.1 bad real value
  `static final int`
  `CRYPT_E_ASN1_BADTAG`
  ASN.1 bad tag value met
  `static final int`
  `CRYPT_E_ASN1_CHOICE`
  ASN.1 bad choice value
  `static final int`
  `CRYPT_E_ASN1_CONSTRAINT`
  ASN.1 constraint violated
  `static final int`
  `CRYPT_E_ASN1_CORRUPT`
  ASN.1 corrupted data
  `static final int`
  `CRYPT_E_ASN1_EOD`
  ASN.1 unexpected end of data
  `static final int`
  `CRYPT_E_ASN1_ERROR`
  ASN.1 Certificate encode/decode return value base
  `static final int`
  `CRYPT_E_ASN1_EXTENDED`
  ASN.1 skipped unknown extensions
  `static final int`
  `CRYPT_E_ASN1_INTERNAL`
  ASN.1 internal encode or decode error
  `static final int`
  `CRYPT_E_ASN1_LARGE`
  ASN.1 value too large
  `static final int`
  `CRYPT_E_ASN1_MEMORY`
  ASN.1 out of memory
  `static final int`
  `CRYPT_E_ASN1_NOEOD`
  ASN.1 end of data expected
  `static final int`
  `CRYPT_E_ASN1_NYI`
  ASN.1 not yet implemented
  `static final int`
  `CRYPT_E_ASN1_OVERFLOW`
  ASN.1 buffer overflow
  `static final int`
  `CRYPT_E_ASN1_PDU_TYPE`
  ASN.1 bad PDU type
  `static final int`
  `CRYPT_E_ASN1_RULE`
  ASN.1 bad encoding rule
  `static final int`
  `CRYPT_E_ASN1_UTF8`
  ASN.1 bad Unicode (UTF8)
  `static final int`
  `CRYPT_EXPORTABLE`
  Imported keys are marked as exportable.
  `static final int`
  `CRYPT_MACHINE_KEYSET`
  The private keys are stored under the local computer and not under the current user.
  `static final int`
  `CRYPT_NDR_ENCODING`
  Message Encoding Type.
  `static final int`
  `CRYPT_USER_KEYSET`
  The private keys are stored under the current user and not under the local computer even if the PFX BLOB specifies that they should go into the local computer.
  `static final int`
  `CRYPT_USER_PROTECTED`
  The user is to be notified through a dialog box or other method when certain attempts to use this key are made.
  `static final int`
  `CRYPTPROTECT_AUDIT`
  Generate an Audit on protect and unprotect operations.
  `static final int`
  `CRYPTPROTECT_CRED_REGENERATE`
  Regenerate the local machine protection.
  `static final int`
  `CRYPTPROTECT_CRED_SYNC`
  Force credential synchronize during CryptProtectData() Synchronize is only operation that occurs during this operation.
  `static final int`
  `CRYPTPROTECT_LOCAL_MACHINE`
  Per machine protected data -- any user on machine where CryptProtectData took place may CryptUnprotectData.
  `static final int`
  `CRYPTPROTECT_NO_RECOVERY`
  Protect data with a non-recoverable key.
  `static final int`
  `CRYPTPROTECT_PROMPT_ON_PROTECT`
  Prompt on protect.
  `static final int`
  `CRYPTPROTECT_PROMPT_ON_UNPROTECT`
  Prompt on unprotect.
  `static final int`
  `CRYPTPROTECT_PROMPT_REQUIRE_STRONG`
  Require strong variant UI protection (user supplied password currently).
  `static final int`
  `CRYPTPROTECT_PROMPT_RESERVED`
  Reserved, don't use.
  `static final int`
  `CRYPTPROTECT_PROMPT_STRONG`
  Default to strong variant UI protection (user supplied password currently).
  `static final int`
  `CRYPTPROTECT_UI_FORBIDDEN`
  For remote-access situations where ui is not an option, if UI was specified on protect or unprotect operation, the call will fail and GetLastError() will indicate ERROR_PASSWORD_RESTRICTION.
  `static final int`
  `CRYPTPROTECT_VERIFY_PROTECTION`
  Verify the protection of a protected blob.
  `static final WinCrypt.HCERTCHAINENGINE`
  `HCCE_CURRENT_USER`
  Predefined certificate chain engine values.
  `static final WinCrypt.HCERTCHAINENGINE`
  `HCCE_LOCAL_MACHINE`
  Predefined certificate chain engine values.
  `static final WinCrypt.HCERTCHAINENGINE`
  `HCCE_SERIAL_LOCAL_MACHINE`
  Predefined certificate chain engine values.
  `static final int`
  `PKCS_7_ASN_ENCODING`
  Message Encoding Type.
  `static final int`
  `PKCS_7_NDR_ENCODING`
  Message Encoding Type.
  `static final int`
  `PKCS12_ALLOW_OVERWRITE_KEY`
  Allow overwrite of the existing key.
  `static final int`
  `PKCS12_ALWAYS_CNG_KSP`
  Indicates that the CNG KSP is always used.
  `static final int`
  `PKCS12_INCLUDE_EXTENDED_PROPERTIES`
  Import all extended properties on the certificate that were saved on the certificate when it was exported.
  `static final int`
  `PKCS12_NO_PERSIST_KEY`
  Do not persist the key.
  `static final int`
  `PKCS12_PREFER_CNG_KSP`
  Indicates that the CNG key storage provider (KSP) is preferred.
  `static final int`
  `PP_CLIENT_HWND`
  Set the window handle that the provider uses as the parent of any dialog boxes it creates.
  `static final String`
  `szOID_RSA_SHA1RSA`
  Algorithm object identifiers RSA.
  `static final int`
  `USAGE_MATCH_TYPE_AND`
  Determines the kind of issuer matching to be done.
  `static final int`
  `USAGE_MATCH_TYPE_OR`
  Determines the kind of issuer matching to be done.
  `static final int`
  `X509_ASN_ENCODING`
  Message Encoding Type.
  `static final int`
  `X509_NDR_ENCODING`
  Message Encoding Type.

- ## Field Details

  - ### CRYPTPROTECT_PROMPT_ON_UNPROTECT

    static final int CRYPTPROTECT_PROMPT_ON_UNPROTECT
    Prompt on unprotect.
    See Also:
      - Constant Field Values

  - ### CRYPTPROTECT_PROMPT_ON_PROTECT

    static final int CRYPTPROTECT_PROMPT_ON_PROTECT
    Prompt on protect.
    See Also:
      - Constant Field Values

  - ### CRYPTPROTECT_PROMPT_RESERVED

    static final int CRYPTPROTECT_PROMPT_RESERVED
    Reserved, don't use.
    See Also:
      - Constant Field Values

  - ### CRYPTPROTECT_PROMPT_STRONG

    static final int CRYPTPROTECT_PROMPT_STRONG
    Default to strong variant UI protection (user supplied password currently).
    See Also:
      - Constant Field Values

  - ### CRYPTPROTECT_PROMPT_REQUIRE_STRONG

    static final int CRYPTPROTECT_PROMPT_REQUIRE_STRONG
    Require strong variant UI protection (user supplied password currently).
    See Also:
      - Constant Field Values

  - ### CRYPTPROTECT_UI_FORBIDDEN

    static final int CRYPTPROTECT_UI_FORBIDDEN
    For remote-access situations where ui is not an option, if UI was specified on protect or unprotect operation, the call will fail and GetLastError() will indicate ERROR_PASSWORD_RESTRICTION.
    See Also:
      - Constant Field Values

  - ### CRYPTPROTECT_LOCAL_MACHINE

    static final int CRYPTPROTECT_LOCAL_MACHINE
    Per machine protected data -- any user on machine where CryptProtectData took place may CryptUnprotectData.
    See Also:
      - Constant Field Values

  - ### CRYPTPROTECT_CRED_SYNC

    static final int CRYPTPROTECT_CRED_SYNC
    Force credential synchronize during CryptProtectData() Synchronize is only operation that occurs during this operation.
    See Also:
      - Constant Field Values

  - ### CRYPTPROTECT_AUDIT

    static final int CRYPTPROTECT_AUDIT
    Generate an Audit on protect and unprotect operations.
    See Also:
      - Constant Field Values

  - ### CRYPTPROTECT_NO_RECOVERY

    static final int CRYPTPROTECT_NO_RECOVERY
    Protect data with a non-recoverable key.
    See Also:
      - Constant Field Values

  - ### CRYPTPROTECT_VERIFY_PROTECTION

    static final int CRYPTPROTECT_VERIFY_PROTECTION
    Verify the protection of a protected blob.
    See Also:
      - Constant Field Values

  - ### CRYPTPROTECT_CRED_REGENERATE

    static final int CRYPTPROTECT_CRED_REGENERATE
    Regenerate the local machine protection.
    See Also:
      - Constant Field Values

  - ### CRYPT_E_ASN1_ERROR

    static final int CRYPT_E_ASN1_ERROR
    ASN.1 Certificate encode/decode return value base
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_E_ASN1_INTERNAL

    static final int CRYPT_E_ASN1_INTERNAL
    ASN.1 internal encode or decode error
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_E_ASN1_EOD

    static final int CRYPT_E_ASN1_EOD
    ASN.1 unexpected end of data
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_E_ASN1_CORRUPT

    static final int CRYPT_E_ASN1_CORRUPT
    ASN.1 corrupted data
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_E_ASN1_LARGE

    static final int CRYPT_E_ASN1_LARGE
    ASN.1 value too large
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_E_ASN1_CONSTRAINT

    static final int CRYPT_E_ASN1_CONSTRAINT
    ASN.1 constraint violated
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_E_ASN1_MEMORY

    static final int CRYPT_E_ASN1_MEMORY
    ASN.1 out of memory
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_E_ASN1_OVERFLOW

    static final int CRYPT_E_ASN1_OVERFLOW
    ASN.1 buffer overflow
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_E_ASN1_BADPDU

    static final int CRYPT_E_ASN1_BADPDU
    ASN.1 function not supported for this PDU
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_E_ASN1_BADARGS

    static final int CRYPT_E_ASN1_BADARGS
    ASN.1 bad arguments to function call
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_E_ASN1_BADREAL

    static final int CRYPT_E_ASN1_BADREAL
    ASN.1 bad real value
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_E_ASN1_BADTAG

    static final int CRYPT_E_ASN1_BADTAG
    ASN.1 bad tag value met
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_E_ASN1_CHOICE

    static final int CRYPT_E_ASN1_CHOICE
    ASN.1 bad choice value
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_E_ASN1_RULE

    static final int CRYPT_E_ASN1_RULE
    ASN.1 bad encoding rule
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_E_ASN1_UTF8

    static final int CRYPT_E_ASN1_UTF8
    ASN.1 bad Unicode (UTF8)
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_E_ASN1_PDU_TYPE

    static final int CRYPT_E_ASN1_PDU_TYPE
    ASN.1 bad PDU type
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_E_ASN1_NYI

    static final int CRYPT_E_ASN1_NYI
    ASN.1 not yet implemented
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_E_ASN1_EXTENDED

    static final int CRYPT_E_ASN1_EXTENDED
    ASN.1 skipped unknown extensions
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_E_ASN1_NOEOD

    static final int CRYPT_E_ASN1_NOEOD
    ASN.1 end of data expected
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_ASN_ENCODING

    static final int CRYPT_ASN_ENCODING
    Message Encoding Type.
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_NDR_ENCODING

    static final int CRYPT_NDR_ENCODING
    Message Encoding Type.
    See Also:
      - MSDN
      - Constant Field Values

  - ### X509_ASN_ENCODING

    static final int X509_ASN_ENCODING
    Message Encoding Type.
    See Also:
      - MSDN
      - Constant Field Values

  - ### X509_NDR_ENCODING

    static final int X509_NDR_ENCODING
    Message Encoding Type.
    See Also:
      - MSDN
      - Constant Field Values

  - ### PKCS_7_ASN_ENCODING

    static final int PKCS_7_ASN_ENCODING
    Message Encoding Type.
    See Also:
      - MSDN
      - Constant Field Values

  - ### PKCS_7_NDR_ENCODING

    static final int PKCS_7_NDR_ENCODING
    Message Encoding Type.
    See Also:
      - MSDN
      - Constant Field Values

  - ### USAGE_MATCH_TYPE_AND

    static final int USAGE_MATCH_TYPE_AND
    Determines the kind of issuer matching to be done.
    See Also:
      - MSDN
      - Constant Field Values

  - ### USAGE_MATCH_TYPE_OR

    static final int USAGE_MATCH_TYPE_OR
    Determines the kind of issuer matching to be done.
    See Also:
      - MSDN
      - Constant Field Values

  - ### PP_CLIENT_HWND

    static final int PP_CLIENT_HWND
    Set the window handle that the provider uses as the parent of any dialog boxes it creates.
    See Also:
      - MSDN
      - Constant Field Values

  - ### CERT_SIMPLE_NAME_STR

    static final int CERT_SIMPLE_NAME_STR
    Certificate name string type.
    See Also:
      - MSDN
      - Constant Field Values

  - ### CERT_OID_NAME_STR

    static final int CERT_OID_NAME_STR
    Certificate name string type.
    See Also:
      - MSDN
      - Constant Field Values

  - ### CERT_X500_NAME_STR

    static final int CERT_X500_NAME_STR
    Certificate name string type.
    See Also:
      - MSDN
      - Constant Field Values

  - ### CERT_XML_NAME_STR

    static final int CERT_XML_NAME_STR
    Certificate name string type.
    See Also:
      - MSDN
      - Constant Field Values

  - ### CERT_CHAIN_POLICY_BASE

    static final int CERT_CHAIN_POLICY_BASE
    Predefined verify chain policies.
    See Also:
      - MSDN
      - Constant Field Values

  - ### szOID_RSA_SHA1RSA

    static final String szOID_RSA_SHA1RSA
    Algorithm object identifiers RSA.
    See Also:
      - MSDN
      - Constant Field Values

  - ### HCCE_CURRENT_USER

    static final WinCrypt.HCERTCHAINENGINE HCCE_CURRENT_USER
    Predefined certificate chain engine values.
    See Also:
      - MSDN

  - ### HCCE_LOCAL_MACHINE

    static final WinCrypt.HCERTCHAINENGINE HCCE_LOCAL_MACHINE
    Predefined certificate chain engine values.
    See Also:
      - MSDN

  - ### HCCE_SERIAL_LOCAL_MACHINE

    static final WinCrypt.HCERTCHAINENGINE HCCE_SERIAL_LOCAL_MACHINE
    Predefined certificate chain engine values.
    See Also:
      - MSDN

  - ### CERT_COMPARE_SHIFT

    static final int CERT_COMPARE_SHIFT
    Certificate comparison functions.
    See Also:
      - MSDN
      - Constant Field Values

  - ### CERT_COMPARE_NAME_STR_W

    static final int CERT_COMPARE_NAME_STR_W
    Certificate comparison functions.
    See Also:
      - MSDN
      - Constant Field Values

  - ### CERT_INFO_SUBJECT_FLAG

    static final int CERT_INFO_SUBJECT_FLAG
    Certificate comparison functions.
    See Also:
      - MSDN
      - Constant Field Values

  - ### CERT_FIND_SUBJECT_STR_W

    static final int CERT_FIND_SUBJECT_STR_W
    Certificate comparison functions.
    See Also:
      - MSDN
      - Constant Field Values

  - ### CERT_FIND_SUBJECT_STR

    static final int CERT_FIND_SUBJECT_STR
    Certificate comparison functions.
    See Also:
      - MSDN
      - Constant Field Values

  - ### CRYPT_EXPORTABLE

    static final int CRYPT_EXPORTABLE
    Imported keys are marked as exportable. If this flag is not used, calls to the CryptExportKey function with the key handle fail.
    See Also:
      - Constant Field Values

  - ### CRYPT_USER_PROTECTED

    static final int CRYPT_USER_PROTECTED
    The user is to be notified through a dialog box or other method when certain attempts to use this key are made. The precise behavior is specified by the cryptographic service provider (CSP) being used.

    Prior to Internet Explorer 4.0, Microsoft cryptographic service providers ignored this flag. Starting with Internet Explorer 4.0, Microsoft providers support this flag.

    If the provider context was opened with the CRYPT_SILENT flag set, using this flag causes a failure and the last error is set to NTE_SILENT_CONTEXT.

    See Also:
      - Constant Field Values

  - ### CRYPT_MACHINE_KEYSET

    static final int CRYPT_MACHINE_KEYSET
    The private keys are stored under the local computer and not under the current user.
    See Also:
      - Constant Field Values

  - ### CRYPT_USER_KEYSET

    static final int CRYPT_USER_KEYSET
    The private keys are stored under the current user and not under the local computer even if the PFX BLOB specifies that they should go into the local computer.
    See Also:
      - Constant Field Values

  - ### PKCS12_PREFER_CNG_KSP

    static final int PKCS12_PREFER_CNG_KSP
    Indicates that the CNG key storage provider (KSP) is preferred. If the CSP is specified in the PFX file, then the CSP is used, otherwise the KSP is preferred. If the CNG KSP is unavailable, the PFXImportCertStore function will fail.
    See Also:
      - Constant Field Values

  - ### PKCS12_ALWAYS_CNG_KSP

    static final int PKCS12_ALWAYS_CNG_KSP
    Indicates that the CNG KSP is always used. When specified, PFXImportCertStore attempts to use the CNG KSP irrespective of provider information in the PFX file. If the CNG KSP is unavailable, the import will not fail.
    See Also:
      - Constant Field Values

  - ### PKCS12_ALLOW_OVERWRITE_KEY

    static final int PKCS12_ALLOW_OVERWRITE_KEY
    Allow overwrite of the existing key. Specify this flag when you encounter a scenario in which you must import a PFX file that contains a key name that already exists. For example, when you import a PFX file, it is possible that a container of the same name is already present because there is no unique namespace for key containers. If you have created a "TestKey" on your computer, and then you import a PFX file that also has "TestKey" as the key container, the PKCS12_ALLOW_OVERWRITE_KEY setting allows the key to be overwritten.
    See Also:
      - Constant Field Values

  - ### PKCS12_NO_PERSIST_KEY

    static final int PKCS12_NO_PERSIST_KEY
    Do not persist the key. Specify this flag when you do not want to persist the key. For example, if it is not necessary to store the key after verification, then instead of creating a container and then deleting it, you can specify this flag to dispose of the key immediately.
    See Also:
      - Constant Field Values

  - ### PKCS12_INCLUDE_EXTENDED_PROPERTIES

    static final int PKCS12_INCLUDE_EXTENDED_PROPERTIES
    Import all extended properties on the certificate that were saved on the certificate when it was exported.
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_MSG

    static final int CERT_STORE_PROV_MSG
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_MEMORY

    static final int CERT_STORE_PROV_MEMORY
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_FILE

    static final int CERT_STORE_PROV_FILE
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_REG

    static final int CERT_STORE_PROV_REG
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_PKCS7

    static final int CERT_STORE_PROV_PKCS7
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_SERIALIZED

    static final int CERT_STORE_PROV_SERIALIZED
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_FILENAME_A

    static final int CERT_STORE_PROV_FILENAME_A
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_FILENAME_W

    static final int CERT_STORE_PROV_FILENAME_W
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_FILENAME

    static final int CERT_STORE_PROV_FILENAME
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_SYSTEM_A

    static final int CERT_STORE_PROV_SYSTEM_A
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_SYSTEM_W

    static final int CERT_STORE_PROV_SYSTEM_W
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_SYSTEM

    static final int CERT_STORE_PROV_SYSTEM
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_COLLECTION

    static final int CERT_STORE_PROV_COLLECTION
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_SYSTEM_REGISTRY_A

    static final int CERT_STORE_PROV_SYSTEM_REGISTRY_A
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_SYSTEM_REGISTRY_W

    static final int CERT_STORE_PROV_SYSTEM_REGISTRY_W
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_SYSTEM_REGISTRY

    static final int CERT_STORE_PROV_SYSTEM_REGISTRY
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_PHYSICAL_W

    static final int CERT_STORE_PROV_PHYSICAL_W
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_PHYSICAL

    static final int CERT_STORE_PROV_PHYSICAL
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_SMART_CARD_W

    static final int CERT_STORE_PROV_SMART_CARD_W
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_SMART_CARD

    static final int CERT_STORE_PROV_SMART_CARD
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_LDAP_W

    static final int CERT_STORE_PROV_LDAP_W
    See Also:
      - Constant Field Values

  - ### CERT_STORE_PROV_LDAP

    static final int CERT_STORE_PROV_LDAP
    See Also:
      - Constant Field Values

  - ### CERT_STORE_NO_CRYPT_RELEASE_FLAG

    static final int CERT_STORE_NO_CRYPT_RELEASE_FLAG
    See Also:
      - Constant Field Values

  - ### CERT_STORE_SET_LOCALIZED_NAME_FLAG

    static final int CERT_STORE_SET_LOCALIZED_NAME_FLAG
    See Also:
      - Constant Field Values

  - ### CERT_STORE_DEFER_CLOSE_UNTIL_LAST_FREE_FLAG

    static final int CERT_STORE_DEFER_CLOSE_UNTIL_LAST_FREE_FLAG
    See Also:
      - Constant Field Values

  - ### CERT_STORE_DELETE_FLAG

    static final int CERT_STORE_DELETE_FLAG
    See Also:
      - Constant Field Values

  - ### CERT_STORE_UNSAFE_PHYSICAL_FLAG

    static final int CERT_STORE_UNSAFE_PHYSICAL_FLAG
    See Also:
      - Constant Field Values

  - ### CERT_STORE_SHARE_STORE_FLAG

    static final int CERT_STORE_SHARE_STORE_FLAG
    See Also:
      - Constant Field Values

  - ### CERT_STORE_SHARE_CONTEXT_FLAG

    static final int CERT_STORE_SHARE_CONTEXT_FLAG
    See Also:
      - Constant Field Values

  - ### CERT_STORE_MANIFOLD_FLAG

    static final int CERT_STORE_MANIFOLD_FLAG
    See Also:
      - Constant Field Values

  - ### CERT_STORE_ENUM_ARCHIVED_FLAG

    static final int CERT_STORE_ENUM_ARCHIVED_FLAG
    See Also:
      - Constant Field Values

  - ### CERT_STORE_UPDATE_KEYID_FLAG

    static final int CERT_STORE_UPDATE_KEYID_FLAG
    See Also:
      - Constant Field Values

  - ### CERT_STORE_BACKUP_RESTORE_FLAG

    static final int CERT_STORE_BACKUP_RESTORE_FLAG
    See Also:
      - Constant Field Values

  - ### CERT_STORE_MAXIMUM_ALLOWED_FLAG

    static final int CERT_STORE_MAXIMUM_ALLOWED_FLAG
    See Also:
      - Constant Field Values

  - ### CERT_STORE_CREATE_NEW_FLAG

    static final int CERT_STORE_CREATE_NEW_FLAG
    See Also:
      - Constant Field Values

  - ### CERT_STORE_OPEN_EXISTING_FLAG

    static final int CERT_STORE_OPEN_EXISTING_FLAG
    See Also:
      - Constant Field Values

  - ### CERT_STORE_READONLY_FLAG

    static final int CERT_STORE_READONLY_FLAG
    See Also:
      - Constant Field Values

  - ### CERT_SYSTEM_STORE_CURRENT_USER

    static final int CERT_SYSTEM_STORE_CURRENT_USER
    See Also:
      - Constant Field Values

  - ### CERT_SYSTEM_STORE_LOCAL_MACHINE

    static final int CERT_SYSTEM_STORE_LOCAL_MACHINE
    See Also:
      - Constant Field Values

  - ### CERT_SYSTEM_STORE_CURRENT_SERVICE

    static final int CERT_SYSTEM_STORE_CURRENT_SERVICE
    See Also:
      - Constant Field Values

  - ### CERT_SYSTEM_STORE_SERVICES

    static final int CERT_SYSTEM_STORE_SERVICES
    See Also:
      - Constant Field Values

  - ### CERT_SYSTEM_STORE_USERS

    static final int CERT_SYSTEM_STORE_USERS
    See Also:
      - Constant Field Values

  - ### CERT_SYSTEM_STORE_CURRENT_USER_GROUP_POLICY

    static final int CERT_SYSTEM_STORE_CURRENT_USER_GROUP_POLICY
    See Also:
      - Constant Field Values

  - ### CERT_SYSTEM_STORE_LOCAL_MACHINE_GROUP_POLICY

    static final int CERT_SYSTEM_STORE_LOCAL_MACHINE_GROUP_POLICY
    See Also:
      - Constant Field Values

  - ### CERT_SYSTEM_STORE_LOCAL_MACHINE_ENTERPRISE

    static final int CERT_SYSTEM_STORE_LOCAL_MACHINE_ENTERPRISE
    See Also:
      - Constant Field Values

  - ### CERT_SYSTEM_STORE_UNPROTECTED_FLAG

    static final int CERT_SYSTEM_STORE_UNPROTECTED_FLAG
    See Also:
      - Constant Field Values

  - ### CERT_SYSTEM_STORE_RELOCATE_FLAG

    static final int CERT_SYSTEM_STORE_RELOCATE_FLAG
    See Also:
      - Constant Field Values

  - ### CERT_CLOSE_STORE_FORCE_FLAG

    static final int CERT_CLOSE_STORE_FORCE_FLAG
    Checks for nonfreed certificate, CRL, and CTL contexts. A returned error code indicates that one or more store elements is still in use. This flag should only be used as a diagnostic tool in the development of applications.
    See Also:
      - Constant Field Values

  - ### CERT_CLOSE_STORE_CHECK_FLAG

    static final int CERT_CLOSE_STORE_CHECK_FLAG
    Forces the freeing of memory for all contexts associated with the store. This flag can be safely used only when the store is opened in a function and neither the store handle nor any of its contexts are passed to any called functions. For details, see Remarks.
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_CERT

    static final int CERT_QUERY_CONTENT_CERT
    encoded single certificate
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_CTL

    static final int CERT_QUERY_CONTENT_CTL
    encoded single CTL
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_CRL

    static final int CERT_QUERY_CONTENT_CRL
    encoded single CRL
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_SERIALIZED_STORE

    static final int CERT_QUERY_CONTENT_SERIALIZED_STORE
    serialized store
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_SERIALIZED_CERT

    static final int CERT_QUERY_CONTENT_SERIALIZED_CERT
    serialized single certificate
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_SERIALIZED_CTL

    static final int CERT_QUERY_CONTENT_SERIALIZED_CTL
    serialized single CTL
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_SERIALIZED_CRL

    static final int CERT_QUERY_CONTENT_SERIALIZED_CRL
    serialized single CRL
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_PKCS7_SIGNED

    static final int CERT_QUERY_CONTENT_PKCS7_SIGNED
    a PKCS#7 signed message
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_PKCS7_UNSIGNED

    static final int CERT_QUERY_CONTENT_PKCS7_UNSIGNED
    a PKCS#7 message, such as enveloped message. But it is not a signed message,
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_PKCS7_SIGNED_EMBED

    static final int CERT_QUERY_CONTENT_PKCS7_SIGNED_EMBED
    a PKCS7 signed message embedded in a file
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_PKCS10

    static final int CERT_QUERY_CONTENT_PKCS10
    an encoded PKCS#10
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_PFX

    static final int CERT_QUERY_CONTENT_PFX
    an encoded PFX BLOB
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_CERT_PAIR

    static final int CERT_QUERY_CONTENT_CERT_PAIR
    an encoded CertificatePair (contains forward and/or reverse cross certs)
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_PFX_AND_LOAD

    static final int CERT_QUERY_CONTENT_PFX_AND_LOAD
    an encoded PFX BLOB, which was loaded to phCertStore
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_FLAG_CERT

    static final int CERT_QUERY_CONTENT_FLAG_CERT
    encoded single certificate
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_FLAG_CTL

    static final int CERT_QUERY_CONTENT_FLAG_CTL
    encoded single CTL
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_FLAG_CRL

    static final int CERT_QUERY_CONTENT_FLAG_CRL
    encoded single CRL
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_FLAG_SERIALIZED_STORE

    static final int CERT_QUERY_CONTENT_FLAG_SERIALIZED_STORE
    serialized store
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_FLAG_SERIALIZED_CERT

    static final int CERT_QUERY_CONTENT_FLAG_SERIALIZED_CERT
    serialized single certificate
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_FLAG_SERIALIZED_CTL

    static final int CERT_QUERY_CONTENT_FLAG_SERIALIZED_CTL
    serialized single CTL
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_FLAG_SERIALIZED_CRL

    static final int CERT_QUERY_CONTENT_FLAG_SERIALIZED_CRL
    serialized single CRL
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_FLAG_PKCS7_SIGNED

    static final int CERT_QUERY_CONTENT_FLAG_PKCS7_SIGNED
    an encoded PKCS#7 signed message
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_FLAG_PKCS7_UNSIGNED

    static final int CERT_QUERY_CONTENT_FLAG_PKCS7_UNSIGNED
    an encoded PKCS#7 message. But it is not a signed message
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_FLAG_PKCS7_SIGNED_EMBED

    static final int CERT_QUERY_CONTENT_FLAG_PKCS7_SIGNED_EMBED
    the content includes an embedded PKCS7 signed message
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_FLAG_PKCS10

    static final int CERT_QUERY_CONTENT_FLAG_PKCS10
    an encoded PKCS#10
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_FLAG_PFX

    static final int CERT_QUERY_CONTENT_FLAG_PFX
    an encoded PFX BLOB
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_FLAG_CERT_PAIR

    static final int CERT_QUERY_CONTENT_FLAG_CERT_PAIR
    an encoded CertificatePair (contains forward and/or reverse cross certs)
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_FLAG_PFX_AND_LOAD

    static final int CERT_QUERY_CONTENT_FLAG_PFX_AND_LOAD
    an encoded PFX BLOB, and we do want to load it (not included in `CERT_QUERY_CONTENT_FLAG_ALL`
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_CONTENT_FLAG_ALL

    static final int CERT_QUERY_CONTENT_FLAG_ALL
    content can be any type
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_FORMAT_BINARY

    static final int CERT_QUERY_FORMAT_BINARY
    the content is in binary format
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_FORMAT_BASE64_ENCODED

    static final int CERT_QUERY_FORMAT_BASE64_ENCODED
    the content is base64 encoded
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_FORMAT_ASN_ASCII_HEX_ENCODED

    static final int CERT_QUERY_FORMAT_ASN_ASCII_HEX_ENCODED
    the content is ascii hex encoded with "{ASN}" prefix
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_FORMAT_FLAG_BINARY

    static final int CERT_QUERY_FORMAT_FLAG_BINARY
    the content is in binary format
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_FORMAT_FLAG_BASE64_ENCODED

    static final int CERT_QUERY_FORMAT_FLAG_BASE64_ENCODED
    the content is base64 encoded
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_FORMAT_FLAG_ASN_ASCII_HEX_ENCODED

    static final int CERT_QUERY_FORMAT_FLAG_ASN_ASCII_HEX_ENCODED
    the content is ascii hex encoded with "{ASN}" prefix
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_FORMAT_FLAG_ALL

    static final int CERT_QUERY_FORMAT_FLAG_ALL
    the content can be of any format
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_OBJECT_FILE

    static final int CERT_QUERY_OBJECT_FILE
    The object is stored in a file.
    See Also:
      - Constant Field Values

  - ### CERT_QUERY_OBJECT_BLOB

    static final int CERT_QUERY_OBJECT_BLOB
    The object is stored in a structure in memory.
    See Also:
      - Constant Field Values